Package org.eclipse.core.variables

## Interface IStringVariable

All Known Subinterfaces:
  `IDynamicVariable`, `IValueVariable`

    public interface IStringVariable

A variable that can be referenced in an expression, which resolves to a string value. Variables are referenced in expressions via their name, in the following format.

     ${varname} or ${varname:argument}

A variable is identified by its name, and optionally accepts an argument. When an argument is present, a colon separates the variable name from its argument.

Variables can be contributed by extensions or programmatically. There are two kinds of variables.

- `IValueVariable` - variables that have a value (with getter and setter), and accept no arguments. The value of this type of variable is resolved at the time its value is set via its setter API.
- `IDynamicVariable` - variables whose value is resolved at the time a string substitution is performed by a contributed resolver. Dynamic variables may accept an argument.

Since:
  3.0
Restriction:
  This interface is not intended to be implemented by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getDescription()` Returns a human readable description of this variable, possibly `null`
`String` `getName()` Returns the name of this variable.

### Method Detail

#### getName

    String getName()

Returns the name of this variable. A variable is uniquely identified by its name.

Returns:
  variable name

#### getDescription

    String getDescription()

Returns a human readable description of this variable, possibly `null`

Returns:
  a description of this variable, or `null` if none